Skip to main content
Rezolve Ai
API ReferenceProjectsId

Update a project

PUT
/projects/{id}

Update a project's name or description. Only the project's owner may, and an API key needs the admin scope.

Authorization

headerAuthorizationBearer <API key>

API key in the Authorization header: Authorization: Bearer ace_live_.... Use an ace_test_... key for the free, rate-capped sandbox.

Path Parameters

id*string

Request Body

application/json
  1. body
name?string
description?string

Response Body

Updated

application/json
  1. response
data?
Example Request
curl -X PUT 'https://example.com/api/v1/projects/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": "string",    "name": "string",    "description": "string",    "integration_type": "shopify",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}